Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.data
Class EntityIDListData

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.data.RCRSCSData<java.util.List<rescuecore2.worldmodel.EntityID>>
          jp.ac.nagoyau.is.ss.kishii.suntori.message.data.EntityIDListData

    public class EntityIDListData

extends RCRSCSData<java.util.List<rescuecore2.worldmodel.EntityID>>

The EntityIDListData represent the data that is the list of EntityID.

Author:
  takefumi

Field Summary

Fields inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.data.RCRSCSData
`type, value`

Constructor Summary
`EntityIDListData(DataType type)` Constructor In this method, value is empty list.
`EntityIDListData(DataType type, java.util.List<rescuecore2.worldmodel.EntityID> value)` Constructor

Method Summary
`void` | `setData(rescuecore2.worldmodel.EntityID obj)` Add obj(EntityID) to value.
`void` | `setData(java.util.List<rescuecore2.worldmodel.EntityID> obj)` Set the value to obj

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.data.RCRSCSData
`equals, getData, getType, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityIDListData

    public EntityIDListData(DataType type,
                            java.util.List<rescuecore2.worldmodel.EntityID> value)

  Constructor

  Parameters:
    `type` - type of the data(`DataType`)
    `value` - actual value of the data(List<EntityID>)

### EntityIDListData

    public EntityIDListData(DataType type)

  Constructor
  In this method, value is empty list.

  Parameters:
    `type` -

Method Detail

### setData

    public void setData(java.util.List<rescuecore2.worldmodel.EntityID> obj)

  Description copied from class: `RCRSCSData`
  Set the value to obj

  Specified by:
    `setData` in class `RCRSCSData<java.util.List<rescuecore2.worldmodel.EntityID>>`
  Parameters:
    `obj` - actual value of this data

### setData

    public void setData(rescuecore2.worldmodel.EntityID obj)

  Add obj(EntityID) to value.

  Parameters:
    `obj` - additional value(EntityID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD